#!/usr/bin/env python
# -*- coding: utf-8 -*-

# PyQt6 binding for QCustomPlot v2.1.1
#
# Authors: Dmitry Voronin, Giuseppe Corbelli, Christopher Gilbert
# License: MIT
#
# QCustomPlot author: Emanuel Eichhammer
# QCustomPlot Website/Contact: http://www.qcustomplot.com

from PyQt6.QtWidgets import QMainWindow
from PyQt6.uic import loadUi

from QCustomPlot_PyQt6 import QCP

class MainWindow(QMainWindow):
    def __init__(self, argv, parent=None):
        super().__init__(parent)
        loadUi("mainwindow.ui", self)
